summaryrefslogtreecommitdiffstats
path: root/patches/source/gcc/c89.sh
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/gcc/c89.sh')
-rw-r--r--patches/source/gcc/c89.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/patches/source/gcc/c89.sh b/patches/source/gcc/c89.sh
new file mode 100644
index 000000000..35486ea83
--- /dev/null
+++ b/patches/source/gcc/c89.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+ case "$opt" in
+ -ansi|-std=c89|-std=iso9899:1990) fl="";;
+ -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}